aboutsummaryrefslogtreecommitdiffstats
path: root/testing/radsecproxy/radsecproxy.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/radsecproxy/radsecproxy.initd')
-rw-r--r--testing/radsecproxy/radsecproxy.initd39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/radsecproxy/radsecproxy.initd b/testing/radsecproxy/radsecproxy.initd
new file mode 100644
index 00000000000..c967c4d5c13
--- /dev/null
+++ b/testing/radsecproxy/radsecproxy.initd
@@ -0,0 +1,39 @@
+#!/sbin/openrc-run
+supervisor=supervise-daemon
+
+description="generic RADIUS proxy"
+description_checkconfig="Check configuration"
+description_reload="Reload configuration"
+description_reopen="Reopen log files"
+
+command_args_foreground="-f"
+
+required_files="$cfgfile"
+
+depend() {
+ need net
+ use dns logger netmount
+}
+
+start_pre() {
+ $command $command_args -p
+}
+
+checkconfig() {
+ ebegin "Checking $name configuration"
+
+ start_pre
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading $name configuration"
+ start_pre && supervise-daemon --signal HUP
+ eend $?
+}
+
+reopen() {
+ ebegin "Reopening $name log files"
+ supervise-daemon --signal USR1
+ eend $?
+}